> ## Documentation Index
> Fetch the complete documentation index at: https://www.octoparse.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 워크스페이스 조회

> 드래프트 원문·파일·리비전·검증 결과 읽기. 편집 계속용.

**`GET`** `https://api-datahub.octoparse.com/v1/data-apps/{app_id}/workspace`

인증: API 키 필요(`Authorization: Bearer <API Key>`). App 작성자만. 그 외 `404`.

원시 매니페스트, 첨부, 리비전, 현재 검증 결과 — 클라이언트 「편집 계속」 재주입 원본.

드래프트 없음은 `404 workspace-not-found`. 정상 주경로 상태(신규 App, 또는 진행 중 드래프트 없는 게시됨).

## 요청

### 경로 파라미터

<ParamField path="app_id" type="string" required>
  App 참조.
</ParamField>

### 요청 예시

```bash theme={null}
curl \
  -H "Authorization: Bearer $OCTOPARSE_API_KEY" \
  "https://api-datahub.octoparse.com/v1/data-apps/carol/reviews-query/workspace"
```

## 응답

### 200 성공

```json theme={null}
{
  "data": {
    "app_name": "probe-b",
    "app_id": "app_6dfe4e839ccf",
    "namespace": "carol",
    "manifest": "\nspec_version: \"0.2\"\nidentity:\n  app_name: probe-b\n  name: Runs list probe source\n  summary: Test app for runs list pagination and filters\n  type: data\n  version:…",
    "files": {},
    "revision": 1,
    "valid": true,
    "issues": [],
    "content_hash": "267d174fa14b05d66608cbd8315242f4b0f5b0b62a5fd94ffa852ee6cf62f978",
    "created_at": "2026-09-15T07:45:38.574191+00:00",
    "updated_at": "2026-09-15T07:45:38.574191+00:00"
  }
}
```

페이로드는 `data`로 감쌉니다. 필드:

<ResponseField name="app_name" type="string" required>
  App 이름.
</ResponseField>

<ResponseField name="app_id" type="string" required>
  안정적인 App ID.
</ResponseField>

<ResponseField name="namespace" type="string">
  게시자 사용자 이름.
</ResponseField>

<ResponseField name="manifest" type="string" required>
  원시 매니페스트 텍스트.
</ResponseField>

<ResponseField name="files" type="object">
  첨부 파일.
</ResponseField>

<ResponseField name="revision" type="integer" required>
  저장 시 `expected_revision`용 드래프트 리비전.
</ResponseField>

<ResponseField name="valid" type="boolean" required>
  검증 통과 여부.
</ResponseField>

<ResponseField name="issues" type="object[]">
  문제 목록.

  <Expandable title="fields">
    <ResponseField name="path" type="string" required>
      —
    </ResponseField>

    <ResponseField name="message" type="string" required>
      —
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="content_hash" type="string">
  콘텐츠 해시. Build의 `content_hash`에 해당합니다.
</ResponseField>

<ResponseField name="created_at" type="string">
  생성 시각.
</ResponseField>

<ResponseField name="updated_at" type="string">
  마지막 저장 시각.
</ResponseField>

### 오류

| HTTP | `code`                | `category`  | 설명                                |
| ---- | --------------------- | ----------- | --------------------------------- |
| 401  | `unauthorized`        | `forbidden` | API 키 누락 또는 무효.                   |
| 404  | `workspace-not-found` | `not_found` | 진행 중 드래프트 없음. 정상 주경로 상태이며 오류가 아님. |

오류 응답은 `{"error": {code, category, message, retryable}}`입니다. <a href="/docs/ko/datahub/api/reference/introduction#errors">오류</a> 참고.

## 클라이언트 라이브러리

Python / JavaScript SDK는 아직 이 엔드포인트를 감싸지 않습니다. REST를 직접 호출하세요.
